=== debian/changelog ===
ros-galactic-log-view (0.2.2-1focal) focal; urgency=high

  * Improve message handling so that log messages are not dropped. (#8 <https://github.com/hatchbed/log_view/issues/8>)
  * Contributors: Marc Alban

 -- Marc Alban <marcalban@hatchbed.com>  Sat, 30 Jul 2022 05:00:00 -0000

ros-galactic-log-view (0.2.1-1focal) focal; urgency=high

  * Remove unused boost include.
  * Contributors: Marc Alban

 -- Marc Alban <marcalban@hatchbed.com>  Thu, 07 Jul 2022 05:00:00 -0000

ros-galactic-log-view (0.2.0-1focal) focal; urgency=high

  * Port to ROS2
  * Contributors: Marc Alban

 -- Marc Alban <marcalban@hatchbed.com>  Mon, 04 Jul 2022 05:00:00 -0000

ros-galactic-log-view (0.1.3-1focal) focal; urgency=high

  * Prevent help screen text from wrapping.
  * Make help screen modal.
  * Add keybindings for selecting all nodes and inverting the node selection.
  * Update README.
  * Fix compiler warnings.
  * Contributors: Marc Alban

 -- Marc Alban <marcalban@hatchbed.com>  Mon, 01 Mar 2021 06:00:00 -0000

ros-galactic-log-view (0.1.2-1focal) focal; urgency=high

  * Install binary log_viewer to package destination instead of global destination.
  * Contributors: Marc Alban

 -- Marc Alban <marcalban@hatchbed.com>  Thu, 26 Nov 2020 06:00:00 -0000

ros-galactic-log-view (0.1.1-1focal) focal; urgency=high

  * Fixes for build farm.
  * Contributors: Marc Alban

 -- Marc Alban <marcalban@hatchbed.com>  Tue, 24 Nov 2020 06:00:00 -0000

ros-galactic-log-view (0.1.0-1focal) focal; urgency=high

  * Initial working version.
  * Initial code.
  * Contributors: Marc Alban

 -- Marc Alban <marcalban@hatchbed.com>  Sun, 22 Nov 2020 06:00:00 -0000
