=== debian/control ===
Source: ros-galactic-log-view
Section: misc
Priority: optional
Maintainer: Marc Alban <marcalban@hatchbed.com>
Build-Depends: debhelper (>= 9.0.0), libncurses5-dev, ros-galactic-ament-cmake, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-rcl-interfaces, ros-galactic-rclcpp, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-log-view
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libncurses5-dev, ros-galactic-rcl-interfaces, ros-galactic-rclcpp, xclip, ros-galactic-ros-workspace
Description: The log_view package provides a ncurses based terminal GUI for viewing and filtering published ROS log messages.
 This is an alternative to rqt_console and swri_console that doesn't depend on qt and can be run directly in a terminal.
